Subject: Re: [PATCH v1 net-next 4/7] ptp_pch: Switch to use module_pci_driver() macro

From: Andy Shevchenko <[email-masked]>
Date: Fri, 13 Aug 2021 18:39:14 +0300

On Fri, Aug 13, 2021 at 06:13:21PM +0300, Andy Shevchenko wrote:
> On Fri, Aug 13, 2021 at 10:34:17PM +0800, kernel test robot wrote:
> > Hi Andy,
> > 
> > I love your patch! Yet something to improve:
> > 
> > [auto build test ERROR on net-next/master]
> > 
> > url:    https://github.com/0day-ci/linux/commits/Andy-Shevchenko/ptp_pch-use-mac_pton/20210813-203135
> > base:   https://git.kernel.org/pub/scm/linux/kernel/git/davem/net-next.git b769cf44ed55f4b277b89cf53df6092f0c9082d0
> > config: nios2-randconfig-r023-20210813 (attached as .config)
> > compiler: nios2-linux-gcc (GCC) 11.2.0
> > reproduce (this is a W=1 build):
> >         wget https://raw.githubusercontent.com/intel/lkp-tests/master/sbin/make.cross -O ~/bin/make.cross
> >         chmod +x ~/bin/make.cross
> >         # https://github.com/0day-ci/linux/commit/6c1fff5c80fe8f1a12c20bac2d28ebfa5960bde7
> >         git remote add linux-review https://github.com/0day-ci/linux
> >         git fetch --no-tags linux-review Andy-Shevchenko/ptp_pch-use-mac_pton/20210813-203135
> >         git checkout 6c1fff5c80fe8f1a12c20bac2d28ebfa5960bde7
> >         # save the attached .config to linux build tree
> >         COMPILER_INSTALL_PATH=$HOME/0day COMPILER=gcc-11.2.0 make.cross ARCH=nios2 
> > 
> > If you fix the issue, kindly add following tag as appropriate
> > Reported-by: kernel test robot <[email-masked]>
> 
> Thanks!
> 
> Definitely I have compiled it in my local branch. I'll check what is the root
> cause of this.

Kconfig misses PCI dependency. I will send a separate patch, there is nothing
to do here.

-- 
With Best Regards,
Andy Shevchenko